Method: partners.tickets.list

Lists Support Tickets.

HTTP request

GET https://partneroperations.googleapis.com/v1/{parent=partners/*}/tickets

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent resource to list tickets for. Format: partners/{partner}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of tickets to return. If unspecified, at most 50 tickets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous tickets.list call.

filter

string

Optional. Filter for tickets. Only filtering on priority is supported, e.g. priority=PRIORITY_P1. Supported values for priority are PRIORITY_P3, PRIORITY_P2, PRIORITY_P1, and PRIORITY_P0.

Request body

The request body must be empty.

Response body

Response message for tickets.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "tickets": [
    {
      object (Ticket)
    }
  ],
  "nextPageToken": string
}
Fields
tickets[]

object (Ticket)

Tickets for the specified partner. The description field of tickets is not populated in this list response, only in tickets.get response.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/partner-operations
  • https://www.googleapis.com/auth/partner-operations.readonly